# IRremoteESP8266: src/ir_Kelvinator.cpp File Reference

ir_Kelvinator.cpp File Reference

Support for Kelvinator A/C protocols. Code to emulate IR Kelvinator YALIF remote control unit, which should control at least the following Kelvinator A/C units: KSV26CRC, KSV26HRC, KSV35CRC, KSV35HRC, KSV53HRC, KSV62HRC, KSV70CRC, KSV70HRC, KSV80HRC. More...

## Variables

const uint16_t | kKelvinatorTick = 85
const uint16_t | kKelvinatorHdrMarkTicks = 106
const uint16_t | kKelvinatorHdrMark = kKelvinatorHdrMarkTicks * kKelvinatorTick
const uint16_t | kKelvinatorHdrSpaceTicks = 53
const uint16_t | kKelvinatorHdrSpace = kKelvinatorHdrSpaceTicks * kKelvinatorTick
const uint16_t | kKelvinatorBitMarkTicks = 8
const uint16_t | kKelvinatorBitMark = kKelvinatorBitMarkTicks * kKelvinatorTick
const uint16_t | kKelvinatorOneSpaceTicks = 18
const uint16_t | kKelvinatorOneSpace = kKelvinatorOneSpaceTicks * kKelvinatorTick
const uint16_t | kKelvinatorZeroSpaceTicks = 6
const uint16_t | kKelvinatorZeroSpace
const uint16_t | kKelvinatorGapSpaceTicks = 235
const uint16_t | kKelvinatorGapSpace = kKelvinatorGapSpaceTicks * kKelvinatorTick
const uint8_t | kKelvinatorCmdFooter = 2
const uint8_t | kKelvinatorCmdFooterBits = 3
const uint8_t | kKelvinatorChecksumStart = 10

## Detailed Description

Support for Kelvinator A/C protocols. Code to emulate IR Kelvinator YALIF remote control unit, which should control at least the following Kelvinator A/C units: KSV26CRC, KSV26HRC, KSV35CRC, KSV35HRC, KSV53HRC, KSV62HRC, KSV70CRC, KSV70HRC, KSV80HRC.

Note
  Unsupported:
  - All Sleep modes.
  - All Timer modes.
  - "I Feel" button & mode.
  - Energy Saving mode.
  - Low Heat mode.
  - Fahrenheit.

## Variable Documentation

## kKelvinatorBitMark

const uint16_t kKelvinatorBitMark = kKelvinatorBitMarkTicks * kKelvinatorTick

## kKelvinatorBitMarkTicks

const uint16_t kKelvinatorBitMarkTicks = 8

## kKelvinatorChecksumStart

const uint8_t kKelvinatorChecksumStart = 10

## kKelvinatorCmdFooter

const uint8_t kKelvinatorCmdFooter = 2

## kKelvinatorCmdFooterBits

const uint8_t kKelvinatorCmdFooterBits = 3

## kKelvinatorGapSpace

const uint16_t kKelvinatorGapSpace = kKelvinatorGapSpaceTicks * kKelvinatorTick

## kKelvinatorGapSpaceTicks

const uint16_t kKelvinatorGapSpaceTicks = 235

## kKelvinatorHdrMark

const uint16_t kKelvinatorHdrMark = kKelvinatorHdrMarkTicks * kKelvinatorTick

## kKelvinatorHdrMarkTicks

const uint16_t kKelvinatorHdrMarkTicks = 106

## kKelvinatorHdrSpace

const uint16_t kKelvinatorHdrSpace = kKelvinatorHdrSpaceTicks * kKelvinatorTick

## kKelvinatorHdrSpaceTicks

const uint16_t kKelvinatorHdrSpaceTicks = 53

## kKelvinatorOneSpace

const uint16_t kKelvinatorOneSpace = kKelvinatorOneSpaceTicks * kKelvinatorTick

## kKelvinatorOneSpaceTicks

const uint16_t kKelvinatorOneSpaceTicks = 18

## kKelvinatorTick

const uint16_t kKelvinatorTick = 85

## kKelvinatorZeroSpace

const uint16_t kKelvinatorZeroSpace

Initial value:
=
kKelvinatorZeroSpaceTicks * kKelvinatorTick

## kKelvinatorZeroSpaceTicks

const uint16_t kKelvinatorZeroSpaceTicks = 6

kKelvinatorZeroSpaceTicks
const uint16_t kKelvinatorZeroSpaceTicks
Definition: ir_Kelvinator.cpp:39
kKelvinatorTick
const uint16_t kKelvinatorTick
Definition: ir_Kelvinator.cpp:30